Subject: bug#55439: [PATCH] Add support for the Modi script

From: Visuwesh <[email-masked]>
Date: Wed, 18 May 2022 18:55:25 +0530

[புதன் மே 18, 2022] Eli Zaretskii wrote:

>> From: समीर सिंह Sameer Singh <[email-masked]>
>> Date: Wed, 18 May 2022 05:44:30 +0530
>> Cc: Visuwesh <[email-masked]>, [email-masked], 
>> 	Eli Zaretskii <[email-masked]>
>> 
>>  I agree that this change is correct, but let's not ever delete the old
>>  name "Hindi".  Keeping an old alias does no harm.
>> 
>> Hindi is not an alias, it is an incorrect term.
>> No one is using Hindi to refer to the Devanagari script, therefore I think it should not be readded.
>
> AFAIU, Hindi is one language that uses the Devanagari script.  Is this
> correct?

Indeed, Hindi is one of the languages that use the Devanagari script.

> If that is correct, how about having two lines in HELLO: one that
> says "Hindi" and shows a Hindi greeting, and another that says
> "Devanagari" and shows a greeting in some other language that uses
> Devanagari?

The problem here is that most of the North Indian language greetings are
"Namaskar" or "Namaste" (which is what the "Devanagari" greeting is
currently).  But I maybe mistaken since I do not really know any of the
North Indian languages; my knowledge of Hindi is superficial at best.
Either way, I will ask for a greeting in Marathi, which uses the
Devanagari script as well.

>>  Until then, let's make sure that both the old name and the new name
>>  are accepted, in any places in which people can input the name of a
>>  script.
>> 
>> I feel like 11 years is enough time.
>
> In Emacs, 11 years is nowhere near "long enough".
>
> And anyway, the script will not be renamed, since we follow Unicode in
> script names.  The patch didn't rename the script, and rightfully so.
>
>> Only two functions are changed where it affects the user, both are
>> input methods: odia-itrans and
>> odia-inscript.
>
> As I wrote in the review of the patch, we cannot suddenly remove input
> methods that we had for 20 years.  We must find a less drastic
> solution.